import { i18n } from "@/stores"

/**
 * 管理员状态
 */
export enum AdminStatus {
    Enable = 1, // 启用
    Disable = 2, // 停用
    Lock = 3, // 锁定
}

/**
 * 获取管理员状态列表
 * @returns 
 */
export function getAdminStatusList() {
    return [
        { label: i18n.global.t('enum.adminstatus.enable'), value: AdminStatus.Enable },
        { label: i18n.global.t('enum.adminstatus.disable'), value: AdminStatus.Disable },
        { label: i18n.global.t('enum.adminstatus.lock'), value: AdminStatus.Lock },
    ]
}

/**
 * 获取管理员状态名称
 * @param value 
 * @returns 
 */
export function getAdminStatusName(value?: number) {
    const item = getAdminStatusList().find((e) => e.value === value)
    return item?.label ?? value
}